Get payment details
Install AI tools
Give your assistant up-to-date guidance for our APIs, with our plugin or without it.
The plugin is still under development. See the AI tools page for details.
- Claude Code
- Cursor
- Codex
- Without installing
Run both commands, in order.
claude plugin marketplace add vippsas/agent-toolkit
claude plugin install vipps-developer@agent-toolkit
Open Settings, then Plugins.
Add vippsas/agent-toolkit as a plugin marketplace, then install the "vipps-developer" plugin.
For the app, add the marketplace "vippsas/agent-toolkit" and then install "vipps-developer". For the CLI, run the following commands.
codex plugin marketplace add vippsas/agent-toolkit
codex plugin add vipps-developer@agent-toolkit
Paste this into any assistant.
Read https://github.com/vippsas/agent-toolkit/blob/main/plugins/vipps-developer/README.md for Vipps MobilePay integration guidance.
For troubleshooting, see the full instructions.
Authorization​
All ePayment API requests must include a valid Bearer token in the Authorization header.
See Authorization for how to obtain one.
Payment detail request​
To get the current information about a payment, use the
GET:/epayment/v1/payments/{reference}
endpoint.
Replace {reference} with the value you specified in your create payment request.
This will return the state of the payment at the current time.
Example request:
curl -X GET https://apitest.vipps.no/epayment/v1/payments/PAYMENT-REFERENCE-ID
-H "Authorization: Bearer YOUR-ACCESS-TOKEN" \
-H "Ocp-Apim-Subscription-Key: YOUR-SUBSCRIPTION-KEY" \
-H "Merchant-Serial-Number: YOUR-MSN" \
-H "Vipps-System-Name: acme" \
-H "Vipps-System-Version: 3.1.2" \
-H "Vipps-System-Plugin-Name: acme-webshop" \
-H "Vipps-System-Plugin-Version: 4.5.6"
Example response:
{
"aggregate": {
"authorizedAmount": {
"currency": "NOK",
"value": 6000
},
"cancelledAmount": {
"currency": "NOK",
"value": 0
},
"capturedAmount": {
"currency": "NOK",
"value": 0
},
"refundedAmount": {
"currency": "NOK",
"value": 0
}
},
"amount": {
"currency": "NOK",
"value": 6000
},
"state": "AUTHORIZED",
"paymentMethod": {
"type": "WALLET"
},
"profile": {},
"pspReference": "37c34d8c-2649-448e-864b-060d5d93e4c4",
"reference": "acme-shop-123-1234589",
"captureGuaranteedUntil": "2026-09-01T07:53:44.812+00:00"
}
Note that you are guaranteed a successful capture of the money until the date shown in the captureGuaranteedUntil field.
See General info: Capture attempt deadlines
for why this date can vary.
userDetails​
When scope is added to the create payment request, userDetails and sub may also be returned in the Get payment details response.
The user will need to consent to sharing the profile information and then choose to pay before the information will be shared.
For more details, see Profile sharing.
Features​
Some features return extra information in the
GET:/epayment/v1/payments/{reference} response. Notably:
- Express -
Upon consent from the user, this will return
shippingDetailsanduserDetails. - Profile sharing -
Upon consent from the user, this will return
userDetailsandsub. - Metadata -
If
metadatawas included in the Create payment request, it will be returned in this response.
Rate limiting​
There is rate limiting applied to our APIs to increase their stability and security.